#include <avr/io.h>
#include <util/delay.h>
#include <base.h>
#include <morse.h>

int main(void) {
    // io_pin_t gpio = (io_pin_t){ .ddr = &DDRB, .port = &PORTB, .addr = 7 };
    io_pin_t gpio = (io_pin_t){ .ddr = &DDRB, .port = &PORTB, .addr = 7 };
    set_pin_direction(&gpio, PIN_OUT);
    while(1) {
        send_morse(&gpio, "saluton mondo");
        _delay_ms(2000);
    }
    return 0;
}
